PT BIA - Support #1561

ESS Overtime
09/07/2022 03:24 PM - Fiona Avangeline Jonathan

Status: Closed Start date: 09/07/2022
Priority: Urgent Due date:

Assignee: Fiona Avangeline Jonathan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 23.00 hours
Description

Pak Yusuf,

Mohon dibantu untuk ESS Overtime, ada beberapa item yang perlu dibantu oleh developer.

. On Behalf di lock dengan membaca default requester 1D
. EmployeelD - get ID karyawan yang merupakan bawahan dari requester ID
. EmployeeName - otomatis mengambil nama karyawan dari employeelD yang muncul
. DateFrom - default today's date (setting sudah namun belum get tanggal hari ini)
. DateTo - default today's date (setting sudah namun belum get tanggal hari ini)
. Duration - otomatis menghitung durasi dari end time - start time
. OvertimeType - otomatis terisi After Work Schedule (defaultValue = A). Namun ada bugs di grid perlu di klik baru mau muncul
default value nya.
8. DayType
-baca date from, date to
-cek PHRPAQ025 baca work schedule
-cek PHRTMWSCAL baca day type
-day type otomatis terisi di grid ketika employeelD terpilih
9. DayBeforeFlag
-baca date from, date to. Jika berubah hari maka DayBeforeFlag otomatis YES
-baca date from, date to. Jika di hari yang sama maka DayBeforeFlag otomatis NO

NOoO Ok WD =

Port: http://remote.minovais.com:31137/

Terima kasih.

Sama dengan http://remote.minovais.com:3000/redmine/issues/1562

History

#1 - 09/07/2022 03:25 PM - Fiona Avangeline Jonathan

- Description updated

#2 - 09/07/2022 03:27 PM - Fiona Avangeline Jonathan

- Status changed from New to Assigned

#3 - 09/07/2022 04:01 PM - Kezia Pawitra Yulianti

Tambahan sedikit untuk poin 8 ya
DayType

b HRPAD Ay-asi mbil-day-type-di i tidak perlu baca PHRPAO0025 lagi
-namun jika PHRPA0125 nya tidak ada maka baru cek PHRPA0025 dan baca work schedule nya

-kemudian cek PHRTMWSCAL, baca day type dan ambil day type nya di tanggal tsb

-day type otomatis terisi di grid ketika employeelD terpilih

Thanks

#4 - 09/12/2022 08:54 AM - Mr. Yusuf
- Assignee changed from Mr. Yusuf to M Azid Wahyudi

#5 - 10/07/2022 06:32 PM - M Azid Wahyudi

dia bisa employeelD yang sama tapi beda hari startdate , di hari yang sama ga boleh hari yg sama
#6 - 10/07/2022 06:39 PM - M Azid Wahyudi

Tambahan sedikit untuk poin 8 ya
DayType
baca date from

ji bt i itu— tidak perlu baca PHRPAO0025 lagi
-namun jika PHRPAQ125 nya tldak ada maka baru cek PHRPA0025 dan baca work schedule nya
-kemudian cek PHRTMWSCAL, baca day type dan ambil day type nya di tanggal tsb
-day type otomatis terisi di grid ketika employeelD terpilih

DayBeforeFlag
-baca date from, date to. Jika berubah hari maka DayBeforeFlag otomatis YES
-baca date from, date to. Jika di hari yang sama maka DayBeforeFlag otomatis NO

validasi dia bisa employeelD yang sama tapi beda hari startdate , di hari yang sama ga boleh hari yg sama

endtime tidak boleh lebih kecil dari starttime
lembur tidak boleh 24 jam kecuali hari libur

#7 - 10/09/2022 10:33 AM - M Azid Wahyudi
- Status changed from Assigned to Revise

- Assignee changed from M Azid Wahyudi to Fiona Avangeline Jonathan

dear fiona , belom ada contoh employee yg punya bawahan jadi ini di kerjakan setelah data2 udah ada ya
dan hari senin bang ali mau masuk2in data OM

makasih

#8 - 10/10/2022 03:27 PM - Fiona Avangeline Jonathan
- File clipboard-202210101527-dq5ep.png added
- Status changed from Revise to Assigned

- Assignee changed from Fiona Avangeline Jonathan to M Azid Wahyudi

Mas Azid,

Berikut data OM yang bisa digunakan.

Organization Structure

HOME > MAINTAIN ORGANIZATION STRUCTURED

Object Tree 1D Object Class Abbr Start Date End Date Vacant Status View Edit

I Business Support (BSO]I 00000032 Le] BSO 12000101 80891231 -
Ganeral Managar 00000034 (o] GM 19000101 00001231
DGM 00000037 Le] DGM 12000101 80891231
Human Resources oooooo3e Le] HRD 12000101 80891231
HR oooooo3g Le] O-HR 12000101 80891231
Tenaga Kerja 00000041 o] Tenaga Kera 18000101 28921231
Master Data 00000042 (o Master Datz 18000101 0021231
Rekrutment dan BPJS TK 00000042 a Rekrutment BP... 18000101 89991231
Pajak dan HI 00000044 Le] Pajak HI 12000101 80891231

BPJS Kesehatan 00000045 Le] BPJE Kesehatan 12000101 80891231 hd

4 3
Terima kasih.

#9 - 10/11/2022 04:25 PM - M Azid Wahyudi
tambahan
ADD dan Delete di hide

#10 - 10/13/2022 05:20 PM - M Azid Wahyudi

max backdate di bikin parameter

#11 - 10/14/2022 03:45 PM - M Azid Wahyudi

07/02/2025 2/6



Tambahan sedikit untuk poin 8 ya

DayType

baca date from

cek terlebih dahulu PHRPAO0125 nya, jika ada maka ambil day type di tanggal itu - tidak perlu baca PHRPAQ025 lagi
-namun jika PHRPAQ125 nya tidak ada maka baru cek PHRPA0025 dan baca work schedule nya

-kemudian cek PHRTMWSCAL, baca day type dan ambil day type nya di tanggal tsb

-day type otomatis terisi di grid ketika employeelD terpilih

DayBeforeFlag
-baca date from, date to. Jika berubah hari maka DayBeforeFlag otomatis YES
-baca date from, date to. Jika di hari yang sama maka DayBeforeFlag otomatis NO

endtime tidak boleh lebih kecil dari starttime
lembur tidak boleh 24 jam kecuali hari libur

#12 - 10/14/2022 05:02 PM - M Azid Wahyudi

jika hari berikutnya hari kerja maka maxnya jam masuk kerja berikutnya
jika hari berikutnya libur maka max 24 jam

#13 - 10/16/2022 01:46 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Fiona Avangeline Jonathan

dear fiona udah bisa di test ya

makasih

#14 - 10/17/2022 11:10 AM - Fiona Avangeline Jonathan
- File clipboard-202210171107-mixkt.png added

Mas Azid,

Beberapa poin sudah di testing dan sudah ok

On-Behal-di-lock-dengan-membaca-default-requesterid

Mohon di cek kembali untuk validasi start time, end time. Dicoba mengisi dengan tanggal yang sama di jam 6 sampai 8 muncul error kalau melebihi
batas maksimal lembur.
melebihi waktu maksimal lembur
(30

=

Terima kasih.

#15 - 10/17/2022 11:11 AM - Fiona Avangeline Jonathan
- Status changed from QA Test to Revise

- Assignee changed from Fiona Avangeline Jonathan to M Azid Wahyudi

#16 - 10/17/2022 03:44 PM - M Azid Wahyudi
- Status changed from Revise to QA Test

- Assignee changed from M Azid Wahyudi to Fiona Avangeline Jonathan

udah bisa di test ya fio

makasih

#17 - 10/17/2022 04:33 PM - Fiona Avangeline Jonathan
- File clipboard-202210171633-gkem6.png added

- File clipboard-202210171633-wh157.png added

- Status changed from QA Test to Revise

- Assignee changed from Fiona Avangeline Jonathan to M Azid Wahyudi

Mas Azid,

Untuk 2 validasi berikut di tes sudah jalan.

fika-har-berikutaya hari-kefja ma Ea; axnyajam mask kefia-berikutnya

Ada beberapa tambahan validasi

1. Mohon ditambahkan validasi untuk hari yang sama, start time dan end time perlu mengecek jam kerja karyawan, tidak boleh bersinggungan
ddengan jam masuk dan pulang karyawan.

2. Jika DateFrom dan DateTo diubah sbg contoh menjadi 13-14 Day Before Flag ke trigger dan berubah jadi Yes. Kemudian dikembalikan lagi ke
tanggal 17, Day Before Flag nya tidak ke trigger untuk berubah jadi No. Mohon di cek.

Date From Date To Start Time End Time Duration OvertimeType DayType Day Before Flag
13M10/2022 1411002022 0001 08:50 8.81 After Work Schedule Warking Day YES
Date From Date To Start Time End Time Duration DvertimeType DayType Day Before Flag
1TH2022 17TM02022 00:01 03:50 8.81 After Waork Schedule Working Day YES

Terima kasih.
#18 - 10/18/2022 01:37 AM - M Azid Wahyudi
- Status changed from Revise to QA Test

- Assignee changed from M Azid Wahyudi to Fiona Avangeline Jonathan

dear fiona , no 2 udah bisa di test ya

untuk no 1 harus diskusi deh saran mending gausah soalnya logikanya dia lembur ga mungkin jauh banget dari selesai jam kerja dia

contoh :

kalau employee a jam kerja masuk 08.00 pulang kerja 17.00 dia ga mungkin lembur subuh2 sampe jam kerja selanjutnya kalau seperti ini kan beda
hari untuk beda hari validasinya udah ada

kalau lembur pun dia mulai jam 8 malem ga mungkin subuh2 dia baru lembur , kalau pun lembur subuh2 pasti udah beda hari ini udah ada
validasinya , soalnya udah di bikin dinamis berdasarkan daytype yg dia punya jadi ga mungkin lembur di tgl yg sama sampe jam kerja dia masuk

makasih

#19 - 10/18/2022 09:48 AM - Fiona Avangeline Jonathan
- File clipboard-202210180948-Isw30.png added
- Status changed from QA Test to Revise

- Assignee changed from Fiona Avangeline Jonathan to M Azid Wahyudi
Mas Azid,
Untuk validasi sepertinya perlu ditambahkan di bagian Start Time. Sebagai contoh kalau karyawan tsb bekerja di jam 8-5, dan mau mengambil

lembur di hari itu jika diisi jam 4.30 sebagai start time mulai lembur masih bisa masuk. Seharusnya lembur dapat dimulai setelah jam kerja karyawan
berakhir.

Emplayea ID Emiployes Nama Data Froam Date To Start Tima Envd Timia Duration OvartimaTy pe Diary Ty pest Day Bafors Flag

15100004 Daina Anggesna 12102022 " veraznzz 1887 " o750 " 1503 Afgr Wk Sehadua Working Dy " ves

Mohon dibantu juga di grid kalau ada salah input tidak bisa dihapus.
Terima kasih.

#20 - 10/20/2022 09:24 AM - M Azid Wahyudi

- Status changed from Revise to QA Test

- Assignee changed from M Azid Wahyudl to Fiona Avangeline Jonathan
dear fiona , coba test lagi

makasih

#21 - 10/21/2022 09:26 AM - Fiona Avangeline Jonathan

- Status changed from QA Test to Revise

- Assignee changed from Fiona Avangeline Jonathan to M Azid Wahyudi
Mas Azid,

Mohon dibantu ketika diubah Date From nya validasi nya hilang, tolong ditambahkan juga validasi yang sama ketika Date From diubah. Selain itu,
tolong ditambahkan validasi juga ketika create untuk mengecek jika Start Time dan End Time diisi, duration tidak boleh kosong.

Terima kasih.

#22 - 10/24/2022 10:00 AM - M Azid Wahyudi

- Status changed from Revise to QA Test

- Assignee changed from M Azid Wahyudi to Fiona Avangeline Jonathan
dear fiona , udah bisa di test ya

message popup untuk edit idnya :

VIdOVBeforeSubmit

Vidworking

VIdTime
VldMaxOFF
di table : SMESSAGECATALOG

makasih

#23 - 10/24/2022 04:24 PM - Fiona Avangeline Jonathan
- Status changed from QA Test to Closed

Done, tambahan validasi yang diperlukan dilanjut di redmine http:/remote.minovais.com:3000/redmine/issues/1751. Terima kasih.
